org.apache.solr.client.solrj.io.eval

## Class ComplexEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.ComplexEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

Direct Known Subclasses:
  BooleanEvaluator, ConditionalEvaluator, NumberEvaluator

    public abstract class ComplexEvaluator
    extends Object
    implements StreamEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected StreamFactory` `constructingFactory`
`protected UUID` `nodeId`
`protected static long` `serialVersionUID`
`protected List<StreamEvaluator>` `subEvaluators`

### Constructor Summary

Constructors
Constructor and Description
`ComplexEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluate`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

#### nodeId

    protected UUID nodeId

#### constructingFactory

    protected StreamFactory constructingFactory

#### subEvaluators

    protected List<StreamEvaluator> subEvaluators

### Constructor Detail

#### ComplexEvaluator

    public ComplexEvaluator(StreamExpression expression,
                            StreamFactory factory)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### toExpression

    public StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error